Subject: Re: [netlmm] Review of draft-ietf-netlmm-mip-interactions-04

From: "Giaretta, Gerardo" <[email-masked]>
Date: Fri, 30 Apr 2010 15:28:58 -0700

Hi Christian,

Sorry for the long delay. Please find some comments inline. I will submit a new version of the I-D today to take your and Jari's comments into account.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Christian Vogt
> Sent: Thursday, October 01, 2009 12:03 PM
> To: Gerardo Giaretta; NETLMM Mailing List
> Subject: [netlmm] Review of draft-ietf-netlmm-mip-interactions-04
> 
> Folks -
> 
> I have reviewed draft-ietf-netlmm-mip-interactions-04 and got a few
> comments.  Please consider addressing those with the next revision of
> the document.
> 
> The document is a useful deployment guide to network operators who
> consider deploying Mobile IP and Proxy Mobile IP side by side.  It
> describes three deployment scenarios in which Mobile IP and Proxy
> Mobile
> IP co-exist, identifies potential issues in those scenarios, and
> proposes solutions to the issues identified.
> 
> - While the three scenarios identified in the document are undoubtedly
>    those that are most typical, it is not clear that this set of
>    scenarios is exhaustive.  One way to make the exhaustiveness
>    clearer, at least intuitively, is to break the co-existence space
>    into only two high-level scenarios -- (1) hierarchical deployment
>    and (2) alternative deployment of Mobile IP and Proxy Mobile IP --
>    and to refine those further where needed.  Hierarchical deployment
>    is what the document currently describes as scenarios A and C, where
>    the difference between scenarios A and C is whether home agent and
>    LMA are separate or co-located entities.  Alternative deployment of
>    Mobile IP and Proxy Mobile IP is what the document describes as
>    scenario B.  I believe that refining the hierarchical-deployment
>    scenario, as the document currently does with scenarios A and C,
>    makes sense given the notably larger number of issues that are to be
>    considered if home agent and LMA are separate entities, compared to
>    when they are co-located entities.  Still, the close relationship
>    between scenarios A and C should, in my opinion, be emphasized more,
>    perhaps by renaming the scenarios to "A.1" and "A.2".
> 

I agree with this. The presence of those scenarios are more for historical reasons. I changed the structure of the I-D to take this into account. I also added a paragraph with your categorization.

> - Bullet 3 in section 3.3 ("Issues related to scenario C") is missing a
>    final sentence describing an adverse situation that may arise from
>    the use of different re-ordering mechanisms in Mobile IP and Proxy
>    Mobile IP.
> 

I added the following text:

When the mobile node moves from one access where Mobile IP is used to another access when Proxy Mobile IP is used, delay in the mobility signaling sent may imply adverse situations. For example if the mobile node sends a Mobile IP binding update from access A before moving to access B and this binding update gets delayed (e.g. a refresh binding update), the binding update may reach the combined LMA/HA after the proxy binding update sent by the MAG, re-directing packets to access A even after the mobile has moved to access B.

> - Bullet 4 in section 3.3 ("Issues related to scenario C") describes an
>    issue where a MAG registers a mobile node at a wrong LMA.  This
>    issue is not specific to the co-existence of Mobile IP and Proxy
>    Mobile IP.  It already exists in Proxy-Mobile-IP-only deployments.
>    I suggest either stating this explicitly, or removing bullet 4.
> 

Fine - removed.

> - Suggest removing the last sentence in section 4.2 ("Solutions related
>    to sce-nario B").  This sentence does not add any information.  In
>    fact, I am not even sure what it means.
> 

Fine - removed.

Gerardo

> Hope this helps.  Best regards,
> 
> - Christian
> 
> 
> _______________________________________________
> netlmm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netlmm